---
title: Install Vector via DPKG
sidebar_label: DPKG
description: Install Vector through the DKG package manager
---

Vector can be installed through the [DPKG package manager][urls.dpkg] which is
generally used on Debian and Ubuntu systems.


import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     website/docs/setup/installation/package-managers/dpkg.md.erb
-->

## Install

<Tabs
  block={true}
  defaultValue="x86_64"
  urlKey="arch"
  values={[{"label":"x86_64","value":"x86_64"},{"label":"ARM64","value":"ARM64"},{"label":"ARMv7","value":"ARMv7"}]}>


<TabItem value="x86_64">

1.  Download the Vector `.deb` package

    <Tabs
      className="mini"
      defaultValue="latest"
      values={[
        { label: 'Latest (0.7.1)', value: 'latest'},
        { label: 'Nightly', value: 'nightly'},
      ]}>

    <TabItem value="latest">

    ```bash
    curl --proto '=https' --tlsv1.2 -O https://packages.timber.io/vector/0.7.X/vector-amd64.deb
    ```

    </TabItem>
    <TabItem value="nightly">

    ```bash
    curl --proto '=https' --tlsv1.2 -O https://packages.timber.io/vector/nightly/latest/vector-amd64.deb
    ```

    </TabItem>
    </Tabs>

2.  Install the downloaded package

    ```bash
    sudo dpkg -i vector-amd64.deb
    ```

3.  Start Vector

    ```bash
    sudo systemctl start vector
    ```

</TabItem>


<TabItem value="ARM64">

1.  Download the Vector `.deb` package

    <Tabs
      className="mini"
      defaultValue="latest"
      values={[
        { label: 'Latest (0.7.1)', value: 'latest'},
        { label: 'Nightly', value: 'nightly'},
      ]}>

    <TabItem value="latest">

    ```bash
    curl --proto '=https' --tlsv1.2 -O https://packages.timber.io/vector/0.7.X/vector-arm64.deb
    ```

    </TabItem>
    <TabItem value="nightly">

    ```bash
    curl --proto '=https' --tlsv1.2 -O https://packages.timber.io/vector/nightly/latest/vector-arm64.deb
    ```

    </TabItem>
    </Tabs>

2.  Install the downloaded package

    ```bash
    sudo dpkg -i vector-arm64.deb
    ```

3.  Start Vector

    ```bash
    sudo systemctl start vector
    ```

</TabItem>


<TabItem value="ARMv7">

1.  Download the Vector `.deb` package

    <Tabs
      className="mini"
      defaultValue="latest"
      values={[
        { label: 'Latest (0.7.1)', value: 'latest'},
        { label: 'Nightly', value: 'nightly'},
      ]}>

    <TabItem value="latest">

    ```bash
    curl --proto '=https' --tlsv1.2 -O https://packages.timber.io/vector/0.7.X/vector-armhf.deb
    ```

    </TabItem>
    <TabItem value="nightly">

    ```bash
    curl --proto '=https' --tlsv1.2 -O https://packages.timber.io/vector/nightly/latest/vector-armhf.deb
    ```

    </TabItem>
    </Tabs>

2.  Install the downloaded package

    ```bash
    sudo dpkg -i vector-armhf.deb
    ```

3.  Start Vector

    ```bash
    sudo systemctl start vector
    ```

</TabItem>


</Tabs>

That's it! Proceed to [configure](#configuring) Vector for your use case.

### Previous Versions

Historical Vector versions can be found in the [releases][urls.vector_releases].
Once you've found the version you'd like to install you can re-follow the
[install](#install) steps with the URL to the Vector `.deb` file.

## Configuring

The Vector configuration file is placed in:

```
etc/vector/vector.toml
```

A full spec is located at `/etc/vector/vector.spec.toml` and examples are
located in `/etc/vector/examples/*`. You can learn more about configuring
Vector in the [Configuration][docs.configuration] section.

## Administering

Vector can be managed through the [Systemd][urls.systemd] service manager:

import Jump from '@site/src/components/Jump';

<Jump to="/docs/administration/">Administration</Jump>

## Uninstalling

```bash
sudo dpkg -r vector
```

## Updating

Follow the [install](#install) steps again, downloading the latest version of
Vector.


[docs.configuration]: /docs/setup/configuration/
[urls.dpkg]: https://wiki.debian.org/dpkg
[urls.systemd]: https://www.freedesktop.org/wiki/Software/systemd/
[urls.vector_releases]: https://vector.dev/releases/latest
